Bug 258491 - www/gitlab-ce: missing port dependencies
Summary: www/gitlab-ce: missing port dependencies
Status: Closed Unable to Reproduce
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Matthias Fechner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-09-14 03:57 UTC by Eugene M. Zheganin
Modified: 2021-09-14 12:51 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (mfechner)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene M. Zheganin 2021-09-14 03:57:39 UTC
At this time www/gitlab-ce can be installed only with manual help, because it's lacking the following dependencies:

devel/yajl
devel/rubygem-libyajl2
devel/rubygem-ffi-compiler


which need to be installed manually, because subsequent dependent rybugems fail to install from ports (didn't really check if it's them who lack the dependencies).
Comment 1 Matthias Fechner freebsd_committer 2021-09-14 05:44:33 UTC
at first thanks a lot for your report.
These ports are not listed by gitlab itself as depedency.

Do you get any error message and if yes where?
I will report this then upstream to get it fixed.
Comment 2 Matthias Fechner freebsd_committer 2021-09-14 07:05:33 UTC
I just tested it on a newly installed machine.

As you can see, it installs the deps you are mentioning:
root@gitlab:~ # pkg install gitlab-ce
Updating gitlab repository catalogue...
gitlab repository is up to date.
All repositories are up to date.
The following 648 package(s) will be affected (of 0 checked):

New packages to be INSTALLED:
        ImageMagick7: 7.0.11.12_2 [gitlab]
        Imath: 3.1.3 [gitlab]
        abseil: 20210324.2 [gitlab]
        aom: 3.1.2 [gitlab]
        avahi-app: 0.8 [gitlab]
        benchmark: 1.6.0 [gitlab]
        cairo: 1.17.4,3 [gitlab]
        cfitsio: 3.490 [gitlab]
        cups: 2.3.3op2 [gitlab]
        dav1d: 0.9.2 [gitlab]
        dbus: 1.12.20_5 [gitlab]
        dbus-glib: 0.112 [gitlab]
        dejavu: 2.37_1 [gitlab]
        encodings: 1.0.5,1 [gitlab]
        f2c: 20200916 [gitlab]
        ffmpeg: 4.4_3,1 [gitlab]
        fftw3: 3.3.9 [gitlab]
        font-bh-ttf: 1.0.3_4 [gitlab]
        font-misc-ethiopic: 1.0.4 [gitlab]
        font-misc-meltho: 1.0.3_4 [gitlab]
        freeglut: 3.2.1 [gitlab]
        fribidi: 1.0.10 [gitlab]
        gdbm: 1.21 [gitlab]
        gdk-pixbuf2: 2.40.0 [gitlab]
        gflags: 2.2.2_2 [gitlab]
        ghostscript9-agpl-base: 9.52_19 [gitlab]
        ghostscript9-agpl-x11: 9.52 [gitlab]
        giflib: 5.2.1 [gitlab]
        gitaly: 14.2.2 [gitlab]
        gitlab-agent: 14.2.2 [gitlab]
        gitlab-ce: 14.2.2 [gitlab]
        gitlab-elasticsearch-indexer: 2.13.0 [gitlab]
        gitlab-pages: 1.43.0 [gitlab]
        gitlab-shell: 13.19.1 [gitlab]
        gitlab-workhorse: 14.2.2 [gitlab]
        glib: 2.68.4,2 [gitlab]
        gmp: 6.2.1 [gitlab]
        gnome_subr: 1.0 [gitlab]
        gnupg: 2.3.2 [gitlab]
        gnutls: 3.6.16 [gitlab]
        gobject-introspection: 1.66.1,1 [gitlab]
        gpgme: 1.15.1 [gitlab]
        graphite2: 1.3.14 [gitlab]
        grpc: 1.39.0,2 [gitlab]
        gsfonts: 8.11_8 [gitlab]
        gtar: 1.34 [gitlab]
        harfbuzz: 2.9.1 [gitlab]
        hdf-szip: 2.1.1 [gitlab]
        hdf5: 1.10.6,1 [gitlab]
        jasper: 2.0.33 [gitlab]
        jbig2dec: 0.19 [gitlab]
        jbigkit: 2.1_1 [gitlab]
        jpeg-turbo: 2.0.6 [gitlab]
        krb5: 1.19.2 [gitlab]
        lame: 3.100_3 [gitlab]
        lcms2: 2.12 [gitlab]
        libGLU: 9.0.2_1 [gitlab]
        libICE: 1.0.10,1 [gitlab]
        libSM: 1.2.3,1 [gitlab]
        libXfixes: 5.0.3_2 [gitlab]
        libXi: 1.7.10,1 [gitlab]
        libXrandr: 1.5.2 [gitlab]
        libXt: 1.2.1,1 [gitlab]
        libXxf86vm: 1.1.4_3 [gitlab]
        libassuan: 2.5.5 [gitlab]
        libdaemon: 0.14_1 [gitlab]
        libde265: 1.0.2_5 [gitlab]
        libdrm: 2.4.107_1,1 [gitlab]
        libepoll-shim: 0.0.20210418 [gitlab]
        libevent: 2.1.12 [gitlab]
        libexif: 0.6.22 [gitlab]
        libfontenc: 1.1.4 [gitlab]
        libgcrypt: 1.9.4 [gitlab]
        libgd: 2.3.1,1 [gitlab]
        libgit2: 1.1.1 [gitlab]
        libglvnd: 1.3.3 [gitlab]
        libgpg-error: 1.42 [gitlab]
        libgsf: 1.14.47_1 [gitlab]
        libheif: 1.10.0_2 [gitlab]
        libiconv: 1.16 [gitlab]
        libidn: 1.35 [gitlab]
        libijs: 0.35_5 [gitlab]
        libinotify: 20180201_2 [gitlab]
        libksba: 1.6.0 [gitlab]
        liblqr-1: 0.4.2 [gitlab]
        libltdl: 2.4.6 [gitlab]
        libogg: 1.3.5,4 [gitlab]
        libpaper: 1.1.24.4 [gitlab]
        libpciaccess: 0.16 [gitlab]
        libraqm: 0.7.1 [gitlab]
        librav1e: 0.4.1_3 [gitlab]
        libraw: 0.20.2 [gitlab]
        librsvg2-rust: 2.50.3_5 [gitlab]
        libssh2: 1.9.0_3,3 [gitlab]
        libtasn1: 4.17.0 [gitlab]
        libtheora: 1.1.1_7 [gitlab]
        libva: 2.12.0 [gitlab]
        libvdpau: 1.4 [gitlab]
        libvorbis: 1.3.7_2,3 [gitlab]
        libvpx: 1.10.0 [gitlab]
        libwmf: 0.2.12 [gitlab]
        libx264: 0.163.3060 [gitlab]
        libxslt: 1.1.34_2 [gitlab]
        libzip: 1.7.3 [gitlab]
        matio: 1.5.21 [gitlab]
        mkfontscale: 1.2.1 [gitlab]
        nettle: 3.7.3 [gitlab]
        npth: 1.6 [gitlab]
        nspr: 4.32 [gitlab]
        nss: 3.70 [gitlab]
        openexr: 3.1.1 [gitlab]
        openjpeg: 2.4.0 [gitlab]
        orc: 0.4.31 [gitlab]
        p11-kit: 0.24.0 [gitlab]
        p5-Image-ExifTool: 12.00 [gitlab]
        pango: 1.48.7 [gitlab]
        pciids: 20210725 [gitlab]
        pinentry: 1.1.1 [gitlab]
        pinentry-tty: 1.1.1 [gitlab]
        pixman: 0.40.0_1 [gitlab]
        pkgconf: 1.7.4,1 [gitlab]
        png: 1.6.37_1 [gitlab]
        poppler: 21.09.0 [gitlab]
        poppler-data: 0.4.11 [gitlab]
        poppler-glib: 21.09.0 [gitlab]
        protobuf: 3.17.3,1 [gitlab]
        re2: 20210801 [gitlab]
        redis: 6.2.5_1 [gitlab]
        ruby27-gems: 3.0.8 [gitlab]
        rubygem-acme-client: 2.0.8 [gitlab]
        rubygem-actioncable61: 6.1.3.2 [gitlab]
        rubygem-actionmailbox61: 6.1.3.2 [gitlab]
        rubygem-actionmailer61: 6.1.3.2 [gitlab]
        rubygem-actionpack61: 6.1.3.2 [gitlab]
        rubygem-actiontext61: 6.1.3.2 [gitlab]
        rubygem-actionview61: 6.1.3.2 [gitlab]
        rubygem-activejob61: 6.1.3.2 [gitlab]
        rubygem-activemodel60: 6.0.3.7 [gitlab]
        rubygem-activemodel61: 6.1.3.2 [gitlab]
        rubygem-activerecord-explain-analyze: 0.1.0_3 [gitlab]
        rubygem-activerecord60: 6.0.3.7 [gitlab]
        rubygem-activerecord61: 6.1.3.2 [gitlab]
        rubygem-activestorage61: 6.1.3.2 [gitlab]
        rubygem-activesupport60: 6.0.3.7 [gitlab]
        rubygem-activesupport61: 6.1.3.2 [gitlab]
        rubygem-acts-as-taggable-on: 7.0.0 [gitlab]
        rubygem-addressable: 2.8.0 [gitlab]
        rubygem-aes_key_wrap: 1.1.0 [gitlab]
        rubygem-akismet: 3.0.0 [gitlab]
        rubygem-aliyun-sdk: 0.8.0 [gitlab]
        rubygem-android_key_attestation: 0.3.0 [gitlab]
        rubygem-apollo_upload_server: 2.1.0 [gitlab]
        rubygem-asana: 0.10.3 [gitlab]
        rubygem-asciidoctor: 2.0.16 [gitlab]
        rubygem-asciidoctor-include-ext: 0.3.1 [gitlab]
        rubygem-asciidoctor-kroki: 0.5.0 [gitlab]
        rubygem-asciidoctor-plantuml: 0.0.14 [gitlab]
        rubygem-atlassian-jwt: 0.2.0 [gitlab]
        rubygem-attr_encrypted: 3.1.0 [gitlab]
        rubygem-attr_required: 1.0.1 [gitlab]
        rubygem-autoprefixer-rails: 10.2.5.1 [gitlab]
        rubygem-awrence: 1.1.1 [gitlab]
        rubygem-aws-eventstream: 1.1.1 [gitlab]
        rubygem-aws-partitions: 1.483.0 [gitlab]
        rubygem-aws-sdk-cloudformation: 1.55.0 [gitlab]
        rubygem-aws-sdk-core: 3.119.0 [gitlab]
        rubygem-aws-sdk-kms: 1.46.0 [gitlab]
        rubygem-aws-sdk-s3: 1.98.0 [gitlab]
        rubygem-aws-sigv4: 1.2.4 [gitlab]
        rubygem-axiom-types: 0.1.1 [gitlab]
        rubygem-azure-storage-blob: 2.0.1_1 [gitlab]
        rubygem-azure-storage-common: 2.0.2_2 [gitlab]
        rubygem-babosa: 1.0.4 [gitlab]
        rubygem-base32: 0.3.4 [gitlab]
        rubygem-batch-loader: 2.0.1 [gitlab]
        rubygem-bcrypt: 3.1.16 [gitlab]
        rubygem-bcrypt_pbkdf: 1.1.0 [gitlab]
        rubygem-benchmark-memory: 0.1.2 [gitlab]
        rubygem-bindata: 2.4.10 [gitlab]
        rubygem-bindex: 0.8.1 [gitlab]
        rubygem-bootsnap: 1.7.7 [gitlab]
        rubygem-bootsnap14: 1.4.9 [gitlab]
        rubygem-bootstrap_form: 4.2.0_5 [gitlab]
        rubygem-browser: 4.2.0 [gitlab]
        rubygem-builder: 3.2.4 [gitlab]
        rubygem-bundler: 2.2.25,1 [gitlab]
        rubygem-byebug: 11.1.3 [gitlab]
        rubygem-capybara: 3.35.3 [gitlab]
        rubygem-carrierwave: 1.3.2 [gitlab]
        rubygem-cbor: 0.5.9.6 [gitlab]
        rubygem-character_set: 1.4.0 [gitlab]
        rubygem-charlock_holmes: 0.7.7_2 [gitlab]
        rubygem-chef-config: 16.13.16 [gitlab]
        rubygem-chef-utils: 16.13.16 [gitlab]
        rubygem-childprocess3: 3.0.0 [gitlab]
        rubygem-chunky_png: 1.4.0 [gitlab]
        rubygem-citrus: 3.0.2 [gitlab]
        rubygem-coercible: 1.0.0 [gitlab]
        rubygem-commonmarker: 0.22.0 [gitlab]
        rubygem-concurrent-ruby: 1.1.9 [gitlab]
        rubygem-connection_pool: 2.2.5 [gitlab]
        rubygem-contracts: 0.10.1 [gitlab]
        rubygem-cose: 1.2.0 [gitlab]
        rubygem-countries: 3.0.1 [gitlab]
        rubygem-crack: 0.4.5 [gitlab]
        rubygem-crass: 1.0.6 [gitlab]
        rubygem-creole: 0.5.0 [gitlab]
        rubygem-css_parser: 1.10.0 [gitlab]
        rubygem-csv: 3.2.0 [gitlab]
        rubygem-dalli: 2.7.11 [gitlab]
        rubygem-deckar01-task_list: 2.3.1 [gitlab]
        rubygem-declarative: 0.0.10 [gitlab]
        rubygem-declarative_policy: 1.0.0 [gitlab]
        rubygem-default_value_for: 3.4.0 [gitlab]
        rubygem-descendants_tracker: 0.0.4 [gitlab]
        rubygem-device_detector: 1.0.5 [gitlab]
        rubygem-devise-rails61: 4.8.0 [gitlab]
        rubygem-devise-two-factor-rails61: 4.0.1 [gitlab]
        rubygem-devise47-rails61: 4.7.3 [gitlab]
        rubygem-diff_match_patch: 0.1.0 [gitlab]
        rubygem-diffy: 3.4.0 [gitlab]
        rubygem-discordrb-webhooks: 3.4.2 [gitlab]
        rubygem-domain_name: 0.5.20190701 [gitlab]
        rubygem-doorkeeper: 5.5.2 [gitlab]
        rubygem-doorkeeper-openid_connect: 1.7.5_1 [gitlab]
        rubygem-dotenv: 2.7.6 [gitlab]
        rubygem-dry-configurable: 0.12.1 [gitlab]
        rubygem-dry-container: 0.8.0 [gitlab]
        rubygem-dry-core: 0.7.1 [gitlab]
        rubygem-dry-inflector: 0.2.1 [gitlab]
        rubygem-dry-logic: 1.2.0 [gitlab]
        rubygem-dry-types: 1.5.1 [gitlab]
        rubygem-ecma-re-validator: 0.3.0 [gitlab]
        rubygem-ed25519: 1.2.4 [gitlab]
        rubygem-elasticsearch-api6: 6.8.2 [gitlab]
        rubygem-elasticsearch-model6: 6.1.1 [gitlab]
        rubygem-elasticsearch-rails6: 6.1.1 [gitlab]
        rubygem-elasticsearch-transport6: 6.8.2 [gitlab]
        rubygem-elasticsearch6: 6.8.2 [gitlab]
        rubygem-email_reply_trimmer: 0.1.13 [gitlab]
        rubygem-encryptor: 3.0.0 [gitlab]
        rubygem-erubi: 1.10.0 [gitlab]
        rubygem-erubi19: 1.9.0 [gitlab]
        rubygem-escape_utils: 1.2.1 [gitlab]
        rubygem-et-orbi: 1.2.4 [gitlab]
        rubygem-excon: 0.85.0 [gitlab]
        rubygem-execjs: 2.8.1 [gitlab]
        rubygem-expression_parser: 0.9.0 [gitlab]
        rubygem-extended-markdown-filter: 0.7.0 [gitlab]
        rubygem-faraday: 1.6.0 [gitlab]
        rubygem-faraday-cookie_jar: 0.0.7 [gitlab]
        rubygem-faraday-em_http: 1.0.0 [gitlab]
        rubygem-faraday-em_synchrony: 1.0.0 [gitlab]
        rubygem-faraday-excon: 1.1.0 [gitlab]
        rubygem-faraday-httpclient: 1.0.1 [gitlab]
        rubygem-faraday-net_http: 1.0.1 [gitlab]
        rubygem-faraday-net_http_persistent: 1.2.0 [gitlab]
        rubygem-faraday-patron: 1.0.0 [gitlab]
        rubygem-faraday-rack: 1.0.0 [gitlab]
        rubygem-faraday0: 0.17.4 [gitlab]
        rubygem-faraday_middleware: 1.1.0 [gitlab]
        rubygem-faraday_middleware-aws-sigv403: 0.3.0 [gitlab]
        rubygem-faraday_middleware-multi_json: 0.0.6_1 [gitlab]
        rubygem-faraday_middleware0: 0.14.0 [gitlab]
        rubygem-fast_blank: 1.0.0 [gitlab]
        rubygem-fast_gettext: 2.0.3 [gitlab]
        rubygem-ffi: 1.15.3 [gitlab]
        rubygem-ffi-compiler: 1.0.1 [gitlab]
        rubygem-ffi-yajl: 2.3.1 [gitlab]
        rubygem-flipper-active_record-rails61: 0.21.0_1 [gitlab]
        rubygem-flipper-active_support_cache_store-rails61: 0.21.0_1 [gitlab]
        rubygem-flipper021: 0.21.0 [gitlab]
        rubygem-flowdock: 0.7.1 [gitlab]
        rubygem-fog-aliyun: 0.3.19 [gitlab]
        rubygem-fog-aws: 3.11.0 [gitlab]
        rubygem-fog-core: 2.2.4 [gitlab]
        rubygem-fog-core1: 1.45.0 [gitlab]
        rubygem-fog-core210: 2.1.0 [gitlab]
        rubygem-fog-google: 1.15.0 [gitlab]
        rubygem-fog-json: 1.2.0 [gitlab]
        rubygem-fog-local: 0.7.0 [gitlab]
        rubygem-fog-openstack: 1.0.11 [gitlab]
        rubygem-fog-rackspace: 0.1.6 [gitlab]
        rubygem-fog-xml: 0.1.3 [gitlab]
        rubygem-formatador: 0.3.0 [gitlab]
        rubygem-fugit: 1.5.0 [gitlab]
        rubygem-fugit12: 1.2.3 [gitlab]
        rubygem-fuzzyurl: 0.9.0 [gitlab]
        rubygem-gemoji: 3.0.1 [gitlab]
        rubygem-gemojione: 3.3.0 [gitlab]
        rubygem-gemojione32: 3.2.0 [gitlab]
        rubygem-gems: 1.2.0 [gitlab]
        rubygem-get_process_mem: 0.2.5 [gitlab]
        rubygem-gettext: 3.3.8 [gitlab]
        rubygem-gettext_i18n_rails: 1.8.1 [gitlab]
        rubygem-gettext_i18n_rails_js-rails61: 1.3.0 [gitlab]
        rubygem-gitaly: 14.2.0.pre.rc2 [gitlab]
        rubygem-github-linguist: 7.16.0 [gitlab]
        rubygem-github-markup17: 1.7.0 [gitlab]
        rubygem-gitlab-chronic: 0.10.5 [gitlab]
        rubygem-gitlab-experiment: 0.6.4 [gitlab]
        rubygem-gitlab-fog-azure-rm: 1.1.1 [gitlab]
        rubygem-gitlab-gollum-lib: 4.2.7.10.gitlab.1 [gitlab]
        rubygem-gitlab-gollum-rugged_adapter: 0.4.4.4.gitlab.1 [gitlab]
        rubygem-gitlab-labkit: 0.21.1 [gitlab]
        rubygem-gitlab-license: 2.0.0 [gitlab]
        rubygem-gitlab-mail_room: 0.0.12 [gitlab]
        rubygem-gitlab-markup: 1.7.1 [gitlab]
        rubygem-gitlab-net-dns: 0.9.1 [gitlab]
        rubygem-gitlab-omniauth-openid-connect: 0.8.0 [gitlab]
        rubygem-gitlab-sidekiq-fetcher: 0.5.6 [gitlab]
        rubygem-gitlab_chronic_duration: 0.10.6.2 [gitlab]
        rubygem-gitlab_omniauth-ldap: 2.1.1_1 [gitlab]
        rubygem-globalid-rails61: 0.4.2 [gitlab]
        rubygem-gon-rails61: 6.4.0 [gitlab]
        rubygem-google-api-client: 0.53.0 [gitlab]
        rubygem-google-apis-core: 0.4.1 [gitlab]
        rubygem-google-apis-discovery_v1: 0.6.0 [gitlab]
        rubygem-google-apis-generator: 0.4.0 [gitlab]
        rubygem-google-cloud-env: 1.5.0 [gitlab]
        rubygem-google-protobuf: 3.17.3 [gitlab]
        rubygem-googleapis-common-protos-types: 1.1.0 [gitlab]
        rubygem-googleauth: 0.17.0 [gitlab]
        rubygem-gpgme: 2.0.20 [gitlab]
        rubygem-grape: 1.5.3 [gitlab]
        rubygem-grape-entity: 0.9.0,1 [gitlab]
        rubygem-grape-path-helpers: 1.6.3 [gitlab]
        rubygem-grape_logging: 1.8.4 [gitlab]
        rubygem-graphiql-rails: 1.4.11_4 [gitlab]
        rubygem-graphlient: 0.4.0 [gitlab]
        rubygem-graphql: 1.11.8 [gitlab]
        rubygem-graphql-client: 0.16.0 [gitlab]
        rubygem-graphql-docs: 1.6.1 [gitlab]
        rubygem-grpc: 1.38.0 [gitlab]
        rubygem-gssapi: 1.3.0 [gitlab]
        rubygem-hamlit: 2.15.1 [gitlab]
        rubygem-hana: 1.3.6 [gitlab]
        rubygem-hangouts-chat: 0.0.6 [gitlab]
        rubygem-hashdiff: 1.0.1 [gitlab]
        rubygem-hashie: 4.1.0 [gitlab]
        rubygem-hashie-forbidden_attributes: 0.1.1 [gitlab]
        rubygem-health_check: 3.1.0_1 [gitlab]
        rubygem-html-pipeline: 2.13.2 [gitlab]
        rubygem-html2text: 0.3.1 [gitlab]
        rubygem-htmlentities: 4.3.4 [gitlab]
        rubygem-http-accept: 2.1.1 [gitlab]
        rubygem-http-cookie: 1.0.4 [gitlab]
        rubygem-http-form_data: 2.3.0 [gitlab]
        rubygem-http-parser: 1.2.3 [gitlab]
        rubygem-http4: 4.4.1 [gitlab]
        rubygem-httparty: 0.16.4 [gitlab]
        rubygem-httpclient: 2.8.3 [gitlab]
        rubygem-i18n: 1.8.10,2 [gitlab]
        rubygem-i18n_data: 0.10.0 [gitlab]
        rubygem-icalendar: 2.7.1 [gitlab]
        rubygem-ice_cube: 0.16.3 [gitlab]
        rubygem-ice_nine: 0.11.2 [gitlab]
        rubygem-idn-ruby: 0.1.2 [gitlab]
        rubygem-image_processing: 1.12.1 [gitlab]
        rubygem-invisible_captcha: 1.1.0_1 [gitlab]
        rubygem-io-wait: 0.1.0 [gitlab]
        rubygem-ipaddress: 0.8.3 [gitlab]
        rubygem-jaeger-client: 1.1.0 [gitlab]
        rubygem-jbuilder-rails61: 2.11.2 [gitlab]
        rubygem-jira-ruby: 2.1.5 [gitlab]
        rubygem-jmespath: 1.4.0 [gitlab]
        rubygem-js_regex: 3.7.0 [gitlab]
        rubygem-json: 2.3.1 [gitlab]
        rubygem-json-jwt: 1.13.0_1 [gitlab]
        rubygem-json_pure: 2.5.1 [gitlab]
        rubygem-json_schemer: 0.2.18 [gitlab]
        rubygem-jsonpath: 1.0.6 [gitlab]
        rubygem-jwt: 2.2.3 [gitlab]
        rubygem-jwt21: 2.1.0 [gitlab]
        rubygem-kaminari-actionview-rails61: 1.2.1 [gitlab]
        rubygem-kaminari-activerecord-rails61: 1.2.1 [gitlab]
        rubygem-kaminari-core: 1.2.1 [gitlab]
        rubygem-kaminari-rails61: 1.2.1 [gitlab]
        rubygem-kas-grpc: 0.0.2 [gitlab]
        rubygem-kramdown: 2.3.1 [gitlab]
        rubygem-kubeclient: 4.9.2 [gitlab]
        rubygem-libyajl2: 1.2.0 [gitlab]
        rubygem-licensee: 9.14.1 [gitlab]
        rubygem-locale: 2.1.3 [gitlab]
        rubygem-lockbox: 0.6.4 [gitlab]
        rubygem-lograge-rails61: 0.11.2 [gitlab]
        rubygem-loofah: 2.11.0 [gitlab]
        rubygem-lru_redux: 1.1.0 [gitlab]
        rubygem-mail: 2.7.1,2 [gitlab]
        rubygem-marcel: 1.0.1 [gitlab]
        rubygem-marginalia: 1.10.1 [gitlab]
        rubygem-memoist: 0.16.2 [gitlab]
        rubygem-memory_profiler: 0.9.14 [gitlab]
        rubygem-method_source: 1.0.0 [gitlab]
        rubygem-mime-types: 3.3.1 [gitlab]
        rubygem-mime-types-data: 3.2021.0225 [gitlab]
        rubygem-mini_magick: 4.10.1 [gitlab]
        rubygem-mini_mime: 1.1.0 [gitlab]
        rubygem-mini_portile2-25: 2.5.3 [gitlab]
        rubygem-minitest: 5.14.4 [gitlab]
        rubygem-mixlib-cli: 2.1.8 [gitlab]
        rubygem-mixlib-config: 3.0.9 [gitlab]
        rubygem-mixlib-log: 3.0.9 [gitlab]
        rubygem-mixlib-shellout: 3.2.2_1 [gitlab]
        rubygem-ms_rest: 0.7.6 [gitlab]
        rubygem-ms_rest_azure: 0.12.0 [gitlab]
        rubygem-msgpack: 1.4.2 [gitlab]
        rubygem-multi_json: 1.15.0 [gitlab]
        rubygem-multi_json114: 1.14.1 [gitlab]
        rubygem-multi_xml: 0.6.0 [gitlab]
        rubygem-multipart-post: 2.1.1 [gitlab]
        rubygem-murmurhash3: 0.1.6 [gitlab]
        rubygem-mustermann: 1.1.1 [gitlab]
        rubygem-mustermann-grape: 1.0.1 [gitlab]
        rubygem-net-http-persistent: 4.0.1 [gitlab]
        rubygem-net-imap: 0.2.2 [gitlab]
        rubygem-net-ldap: 0.17.0 [gitlab]
        rubygem-net-ntp: 2.1.3 [gitlab]
        rubygem-net-protocol: 0.1.1 [gitlab]
        rubygem-net-scp: 3.0.0 [gitlab]
        rubygem-net-ssh: 6.1.0,2 [gitlab]
        rubygem-netrc: 0.11.0 [gitlab]
        rubygem-nio4r: 2.5.8 [gitlab]
        rubygem-nokogiri: 1.11.7 [gitlab]
        rubygem-nokogumbo: 2.0.5 [gitlab]
        rubygem-numerizer: 0.2.0 [gitlab]
        rubygem-oauth: 0.5.6 [gitlab]
        rubygem-oauth2: 1.4.7 [gitlab]
        rubygem-octokit: 4.21.0 [gitlab]
        rubygem-ohai: 16.10.7 [gitlab]
        rubygem-oj310: 3.10.18 [gitlab]
        rubygem-omniauth: 2.0.4 [gitlab]
        rubygem-omniauth-atlassian-oauth2: 0.2.0_1 [gitlab]
        rubygem-omniauth-auth0: 2.0.0 [gitlab]
        rubygem-omniauth-authentiq: 0.3.3_1 [gitlab]
        rubygem-omniauth-azure-activedirectory-v2: 1.0.0 [gitlab]
        rubygem-omniauth-azure-oauth2: 0.0.10_1 [gitlab]
        rubygem-omniauth-cas3: 1.1.4_1 [gitlab]
        rubygem-omniauth-facebook4: 4.0.0 [gitlab]
        rubygem-omniauth-github: 1.4.0_1 [gitlab]
        rubygem-omniauth-gitlab: 1.0.4_1 [gitlab]
        rubygem-omniauth-google-oauth2: 0.6.0_1 [gitlab]
        rubygem-omniauth-kerberos: 0.3.0 [gitlab]
        rubygem-omniauth-multipassword: 0.4.2_1 [gitlab]
        rubygem-omniauth-oauth: 1.2.0 [gitlab]
        rubygem-omniauth-oauth2: 1.7.1 [gitlab]
        rubygem-omniauth-oauth2-generic: 0.2.8 [gitlab]
        rubygem-omniauth-salesforce: 1.0.5_1 [gitlab]
        rubygem-omniauth-saml: 1.10.3 [gitlab]
        rubygem-omniauth-shibboleth: 1.3.0_1 [gitlab]
        rubygem-omniauth-twitter: 1.4.0 [gitlab]
        rubygem-omniauth-ultraauth: 0.0.2 [gitlab]
        rubygem-omniauth1: 1.9.1 [gitlab]
        rubygem-omniauth_crowd: 2.4.0_2 [gitlab]
        rubygem-omniauth_openid_connect: 0.3.5_1 [gitlab]
        rubygem-openid_connect: 1.2.0 [gitlab]
        rubygem-openssl: 2.2.0 [gitlab]
        rubygem-openssl-signature_algorithm: 1.0.0 [gitlab]
        rubygem-opentracing: 0.5.0 [gitlab]
        rubygem-optimist: 3.0.1 [gitlab]
        rubygem-org-ruby: 0.9.12 [gitlab]
        rubygem-orm_adapter: 0.5.0 [gitlab]
        rubygem-os: 1.1.1 [gitlab]
        rubygem-parslet1: 1.8.2 [gitlab]
        rubygem-peek-rails61: 1.1.0 [gitlab]
        rubygem-pg: 1.2.3 [gitlab]
        rubygem-pg_query: 2.1.0 [gitlab]
        rubygem-pkg-config: 1.4.6 [gitlab]
        rubygem-plist: 3.4.0 [gitlab]
        rubygem-po_to_json: 1.0.1 [gitlab]
        rubygem-premailer: 1.15.0 [gitlab]
        rubygem-premailer-rails-rails61: 1.10.3 [gitlab]
        rubygem-prometheus-client-mmap: 0.12.0 [gitlab]
        rubygem-public_suffix: 4.0.6_11 [gitlab]
        rubygem-puma: 5.3.2 [gitlab]
        rubygem-puma_worker_killer: 0.3.1 [gitlab]
        rubygem-pyu-ruby-sasl: 0.0.3.3 [gitlab]
        rubygem-raabro: 1.4.0 [gitlab]
        rubygem-racc: 1.5.2 [gitlab]
        rubygem-rack: 2.2.3,3 [gitlab]
        rubygem-rack-accept: 0.4.5_2 [gitlab]
        rubygem-rack-attack: 6.3.1 [gitlab]
        rubygem-rack-cors: 1.0.6 [gitlab]
        rubygem-rack-oauth2: 1.16.0 [gitlab]
        rubygem-rack-protection: 2.1.0 [gitlab]
        rubygem-rack-proxy: 0.7.0 [gitlab]
        rubygem-rack-proxy06: 0.6.5 [gitlab]
        rubygem-rack-test: 1.1.0 [gitlab]
        rubygem-rack-timeout: 0.5.1 [gitlab]
        rubygem-rack16: 1.6.13 [gitlab]
        rubygem-rack20: 2.0.9,3 [gitlab]
        rubygem-rails-dom-testing-rails61: 2.0.3 [gitlab]
        rubygem-rails-html-sanitizer: 1.3.0 [gitlab]
        rubygem-rails-i18n-rails61: 6.0.0 [gitlab]
        rubygem-rails61: 6.1.3.2 [gitlab]
        rubygem-railties61: 6.1.3.2 [gitlab]
        rubygem-rainbow: 3.0.0 [gitlab]
        rubygem-rake: 13.0.6 [gitlab]
        rubygem-rb-fsevent: 0.11.0 [gitlab]
        rubygem-rb-inotify: 0.10.1 [gitlab]
        rubygem-rbtrace: 0.4.14 [gitlab]
        rubygem-rdoc: 6.3.2 [gitlab]
        rubygem-re2: 1.2.0_2 [gitlab]
        rubygem-recaptcha: 4.14.0 [gitlab]
        rubygem-recursive-open-struct: 1.1.3 [gitlab]
        rubygem-red-datasets: 0.1.4 [gitlab]
        rubygem-redcloth: 4.3.2 [gitlab]
        rubygem-redis: 4.4.0 [gitlab]
        rubygem-redis-actionpack-rails61: 5.2.0 [gitlab]
        rubygem-redis-activesupport-rails61: 5.2.1 [gitlab]
        rubygem-redis-namespace: 1.8.1 [gitlab]
        rubygem-redis-rack: 2.1.3 [gitlab]
        rubygem-redis-rails-rails61: 5.0.2 [gitlab]
        rubygem-redis-store: 1.9.0 [gitlab]
        rubygem-regexp_parser: 2.1.1 [gitlab]
        rubygem-regexp_property_values: 1.0.0 [gitlab]
        rubygem-representable: 3.1.1 [gitlab]
        rubygem-request_store: 1.5.0 [gitlab]
        rubygem-responders-rails61: 3.0.1 [gitlab]
        rubygem-rest-client: 2.1.0 [gitlab]
        rubygem-retriable: 3.1.2 [gitlab]
        rubygem-reverse_markdown: 1.0.4 [gitlab]
        rubygem-rexml: 3.2.5 [gitlab]
        rubygem-rinku: 2.0.6 [gitlab]
        rubygem-rotp: 6.2.0 [gitlab]
        rubygem-rouge: 3.26.0 [gitlab]
        rubygem-rqrcode: 0.10.1 [gitlab]
        rubygem-rqrcode-rails3: 0.1.7 [gitlab]
        rubygem-ruby-fogbugz021: 0.2.1 [gitlab]
        rubygem-ruby-magic: 0.4.0_1 [gitlab]
        rubygem-ruby-prof: 1.3.2 [gitlab]
        rubygem-ruby-progressbar: 1.11.0 [gitlab]
        rubygem-ruby-saml: 1.12.2 [gitlab]
        rubygem-ruby-termios: 1.1.0 [gitlab]
        rubygem-ruby-vips: 2.1.2_1 [gitlab]
        rubygem-ruby2_keywords: 0.0.5 [gitlab]
        rubygem-ruby_parser: 3.15.0 [gitlab]
        rubygem-rubyntlm: 0.6.3 [gitlab]
        rubygem-rubypants: 0.7.1 [gitlab]
        rubygem-rubyzip: 2.3.2 [gitlab]
        rubygem-rubyzip20: 2.0.0 [gitlab]
        rubygem-rugged: 1.1.1 [gitlab]
        rubygem-safety_net_attestation: 0.4.0 [gitlab]
        rubygem-sanitize: 5.2.3 [gitlab]
        rubygem-sass: 3.7.4 [gitlab]
        rubygem-sass-listen: 4.0.0 [gitlab]
        rubygem-sass-rails-rails61: 6.0.0 [gitlab]
        rubygem-sassc-rails-rails61: 2.1.2 [gitlab]
        rubygem-sassc22: 2.2.1 [gitlab]
        rubygem-sawyer: 0.8.2_1 [gitlab]
        rubygem-scientist: 1.6.0 [gitlab]
        rubygem-securecompare: 1.0.0 [gitlab]
        rubygem-seed-fu: 2.3.9_2 [gitlab]
        rubygem-selenium-webdriver: 3.142.7_1 [gitlab]
        rubygem-semantic_range: 3.0.0 [gitlab]
        rubygem-sentry-raven: 3.1.2 [gitlab]
        rubygem-settingslogic: 2.0.9 [gitlab]
        rubygem-sexp_processor: 4.15.3 [gitlab]
        rubygem-sidekiq-cron: 1.2.0 [gitlab]
        rubygem-sidekiq5: 5.2.9 [gitlab]
        rubygem-signet: 0.15.0 [gitlab]
        rubygem-simpleidn: 0.1.1 [gitlab]
        rubygem-sixarm_ruby_unaccent: 1.2.0 [gitlab]
        rubygem-slack-messenger: 2.3.4 [gitlab]
        rubygem-snowplow-tracker: 0.6.1 [gitlab]
        rubygem-spamcheck: 0.1.0 [gitlab]
        rubygem-spring: 2.1.1 [gitlab]
        rubygem-sprockets-rails-rails61: 3.2.2 [gitlab]
        rubygem-sprockets3: 3.7.2 [gitlab]
        rubygem-sqlite3: 1.4.2 [gitlab]
        rubygem-sshkey: 2.0.0 [gitlab]
        rubygem-ssrf_filter: 1.0.7 [gitlab]
        rubygem-stackprof: 0.2.16 [gitlab]
        rubygem-state_machines: 0.5.0 [gitlab]
        rubygem-state_machines-activemodel: 0.8.0 [gitlab]
        rubygem-state_machines-activerecord: 0.8.0 [gitlab]
        rubygem-stringex: 2.8.5,1 [gitlab]
        rubygem-strscan: 3.0.0 [gitlab]
        rubygem-swd: 1.1.2_1 [gitlab]
        rubygem-sys-filesystem: 1.1.9 [gitlab]
        rubygem-temple: 0.8.2 [gitlab]
        rubygem-terser: 1.0.2 [gitlab]
        rubygem-text: 1.3.1 [gitlab]
        rubygem-thor: 1.1.0 [gitlab]
        rubygem-thread_safe: 0.3.6 [gitlab]
        rubygem-thrift: 0.14.0,1 [gitlab]
        rubygem-tilt: 2.0.10 [gitlab]
        rubygem-timeliness: 0.4.4 [gitlab]
        rubygem-timeout: 0.1.1 [gitlab]
        rubygem-timfel-krb5-auth: 0.8.3 [gitlab]
        rubygem-toml-rb: 2.0.1 [gitlab]
        rubygem-tomlrb: 2.0.1 [gitlab]
        rubygem-tomlrb1: 1.3.0 [gitlab]
        rubygem-tpm-key_attestation: 0.10.0 [gitlab]
        rubygem-trailblazer-option: 0.1.1 [gitlab]
        rubygem-train-core: 3.7.2 [gitlab]
        rubygem-truncato: 0.7.11 [gitlab]
        rubygem-turbolinks: 5.2.1 [gitlab]
        rubygem-turbolinks-source: 5.2.0 [gitlab]
        rubygem-twitter-text: 3.1.0 [gitlab]
        rubygem-tzinfo: 2.0.4 [gitlab]
        rubygem-tzinfo1: 1.2.9 [gitlab]
        rubygem-u2f0: 0.2.1 [gitlab]
        rubygem-uber: 0.1.0 [gitlab]
        rubygem-uglifier: 4.1.20 [gitlab]
        rubygem-unf: 0.1.4 [gitlab]
        rubygem-unf_ext: 0.0.7.7 [gitlab]
        rubygem-unicode_utils: 1.4.0 [gitlab]
        rubygem-unleash: 3.2.2 [gitlab]
        rubygem-uri_template: 0.7.0 [gitlab]
        rubygem-valid_email: 0.1.4 [gitlab]
        rubygem-validate_email: 0.1.6_2 [gitlab]
        rubygem-validate_url: 1.0.8_2 [gitlab]
        rubygem-validates_hostname: 1.0.11 [gitlab]
        rubygem-version_sorter: 2.2.4 [gitlab]
        rubygem-virtus: 2.0.0 [gitlab]
        rubygem-vmstat: 2.3.1 [gitlab]
        rubygem-warden: 1.2.9 [gitlab]
        rubygem-warning: 1.2.0 [gitlab]
        rubygem-web-console-rails61: 4.1.0 [gitlab]
        rubygem-webauthn: 2.4.1 [gitlab]
        rubygem-webdrivers: 4.6.0 [gitlab]
        rubygem-webfinger: 1.1.0_1 [gitlab]
        rubygem-webmock: 3.14.0 [gitlab]
        rubygem-webpacker-rails61: 5.4.0 [gitlab]
        rubygem-webrick: 1.7.0 [gitlab]
        rubygem-websocket-driver: 0.7.5 [gitlab]
        rubygem-websocket-extensions: 0.1.5 [gitlab]
        rubygem-wikicloth081: 0.8.1_1 [gitlab]
        rubygem-wmi-lite: 1.0.0 [gitlab]
        rubygem-xml-simple: 1.1.5 [gitlab]
        rubygem-xpath: 3.2.0 [gitlab]
        rubygem-yajl-ruby: 1.4.1 [gitlab]
        rubygem-zeitwerk: 2.4.2 [gitlab]
        shared-mime-info: 2.0 [gitlab]
        sqlite3: 3.35.5_3,1 [gitlab]
        tiff: 4.3.0 [gitlab]
        tpm-emulator: 0.7.4_2 [gitlab]
        trousers: 0.3.14_3 [gitlab]
        unbound: 1.13.2 [gitlab]
        vips: 8.11.3 [gitlab]
        wayland: 1.19.0_1 [gitlab]
        webp: 1.2.0 [gitlab]
        x265: 3.4_1 [gitlab]
        xorg-fonts-truetype: 7.7_1 [gitlab]
        xvid: 1.3.7,1 [gitlab]
        yajl: 2.1.0 [gitlab]
        yarn: 1.22.11 [gitlab]

Number of packages to be installed: 648

The process will require 2 GiB more space.
365 MiB to be downloaded.

Proceed with this action? [y/N]:
Comment 3 Eugene M. Zheganin 2021-09-14 10:57:43 UTC
Well, I was installing www/gitlab-ce in a pristine jail as well. Only I was using the portmaster, and the build crashed several times unless I installed these three ports (each time new one of course) manually.
Comment 4 Matthias Fechner freebsd_committer 2021-09-14 12:51:48 UTC
(In reply to Eugene M. Zheganin from comment #3)
If you have problems with portmaster, I suggest you contact the maintainer of portmaster.
Portmaster and portupgrade are nice tools, but they have one big problem, they build the package in a not clean environment which can cause problems.
Both a third party tools.

If you would like to use a more official one, use the FreeBSD pkg database where you can download already prepackaged packages or build your own packages using poudriere. This is also the tool I test all packages with.

Doing it this way, you can test the packages at first in a test environment and then redo it in production environment without the risk it fails in PRD if test was fine.